In caso di fallimento i log dei playbook ansible non vengono salvati
05/14/2019 11:50 AM - Elena Grandi

Status: Chiuso Start date: 05/14/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9 Consolidamento

Resolution:

Description

Nel caso in cui un playbook ansible fallisca, manager/playbook.py:344, viene loggato il fallimento, ma non vengono salvati i log in
playbooks.log e non si pud quindi sapere cosa sia successo.

Associated revisions

Revision a8253c85 - 05/14/2019 12:34 PM - Elena Grandi

Log all streams when a playbook fails. refs: #806

Revision 4f430f5d - 05/17/2019 10:18 AM - Elena Grandi

Save ansible logs even in case of a failure. refs: #806

Revision 6b823ca5 - 05/31/2019 02:04 PM - Enrico Zini

Show playbook result summary in color in the table. refs: #8306

Revision b0129ffd - 05/31/2019 02:21 PM - Enrico Zini

Color hosts in playbook results according to stats. refs: #806

Revision fe8198e8 - 05/31/2019 02:22 PM - Enrico Zini
Give Ul feedback for playbook failures. Refs: #806

Revision bd111fe8 - 05/31/2019 04:39 PM - Enrico Zini

Colored tasks according to their status. Fixes: #806

History

#1 - 05/17/2019 10:28 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee set to Enrico Zini

Aggiunto commit che salva i log anche in caso di fallimento; & gia in master, ma ti passo il ticket per farne review (& il 4430f5d, associato).

Non so se possa esserci da migliorare cio che viene visualizzato sull'interfaccia.

#2 - 05/31/2019 02:22 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

Ho aggiunto feedback con colori in caso di errori/unreachable. Te lo riassegno per review, se tutto va bene per me puoi chiudere.

#3 - 05/31/2019 02:37 PM - Elena Grandi
- Assignee changed from Elena Grandi to Enrico Zini
Ottima idea i colori.

Ho visto pero che se c'é un playbook che gira con successo, ma che ha dei task falliti, quei task vengono mostrati comunque in azzurro (anche se in
alto segnala le failures in rosso / rosa).

(confermo che a parte quello si puo chiudere, o anche nonostante quello)

#4 - 05/31/2019 04:39 PM - Anonymous
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

Applicata nel changeset fuss-manager|bd111fe8f183b5b279611fd2fcd4614bc8cfdcfd.

#5 - 05/31/2019 04:39 PM - Enrico Zini

- Status changed from Risolto to Chiuso

Sistemato, chiudo
